@import url('https://fonts.googleapis.com/css2?family=Oswald:wght@200..700&display=swap');


:root {
    /* Cor Background */
    --bg-base: #ffffff;
    --bg-base-dark: #000;
    --bg-base-grey-light: #f2f2f5;
    --bg-base-grey-dark: #f5f5f5;
    /* Cor primaria */

    /* Cor secundaria */


    /* Cor para fonts */
    --text-dark: #000;
    --text-light: #fff;
    --text-yellow: #ffc757;
    --text-danger: red;

    /* Cor para butões */
    --color-bg-btn-dark: #000000;
    --color-bg-btn-danger: red;
    --color-bg-btn-sucess: green;
    --color-bg-btn-light: ;


    --color-bg-btn-hover: #7d7d7d;

    /* Sombras */
    --box-shadow: 0px 0px 8px rgba(0, 0, 0, 0.178);

    /* Transições */
    --transition-all: all 0.3s ease;

    /* Bordas */
    --color-border: #7d7d7d;
}

* {
    margin: 0;
    box-sizing: border-box;
    font-family: "Oswald", sans-serif;
    font-optical-sizing: auto;
    font-weight: 350;
    font-style: normal;
    color: var(--color-text-light);
}

body {
    display: flex;
    padding: 24px;
    justify-content: center;
    align-items: center;
    height: 100vh;
    max-width: 100vw;
}

.conteiner {
    display: flex;
    justify-content: center;
    padding: 24px;
    width: 100%;
}

.row-sign_up {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    padding: 12px 12px 12px 12px;
    border-radius: 10px;
    background-color: var(--bg-base-grey-dark);
    box-shadow: var(--box-shadow);

    & .back {
        margin-top: 12px;
        width: 100%;
        text-align: center;

        & a {
            text-decoration: none;
        }
    }
}

.sign_up {
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 10px;
    width: 400px;
    background-color: var(--bg-base);
    padding: 24px;
    border-radius: 10px;
    border: 1px solid var(--bg-base-grey-light);
    box-shadow: var(--box-shadow);
}

.title {
    width: 100%;
    text-align: center;
    margin-bottom: 10px;

    & img {
        width: 80px;
    }
}

.email_group,
.name_group,
.last_name_group,
.tell_group,
.cep_group,
.password1_group,
.password2_group,
.erro {
    display: flex;
    flex-direction: column;
    width: 100%;

    & input {
        border: none;
        border-bottom: 2px solid var(--bg-base-dark);
        outline: none;
        padding: 10px;
        width: 100%;
    }

    & input:hover,
    input:focus {
        border-bottom: 2px solid var(--text-yellow);
    }
    
    & ul {
        list-style: none;
        padding: 0;

        & li {
            color: red;
        }
    }
}

.password1_input, .password2_input {
        display: flex;
        position: relative;
        width: 100%;

        #eye1, #eye2 {
            position: absolute;
            top: 10px;
            right: 10px;
        }
    }

.termos_group {
    display: flex;
    width: 100%;
    gap: 5px;
    align-items: center;
    margin-bottom: 10px;

    & label {

        & a {
            text-decoration: none;

            & span {
                color: var(--text-yellow);
                position: relative;
            }

            span::before {
                content: '';
                position: absolute;
                left: 0;
                bottom: -4px;
                width: 0;
                height: 2px;
                background-color: var(--text-dark);
                transition: width 0.3s ease;
            }

            span:hover::before {
                width: 100%;
            }
        }
    }
}

.cad {
    width: 100%;

    & button {
        color: var(--text-light);
        background-color: var(--color-bg-btn-dark);
        width: 100%;
        padding: 6px;
        border-radius: 5px;
    }
}

@media (max-width: 600px) {
    .sign_up {
        width: 300px;
    }
}